
<p>X-keys input node, sends changes from the T-bar control. Generates a <code>msg.payload.value</code> of 0 to 255 when the handle is moved.  This node is only for the analog data from T-bar lever, use a button node for the buttons on the unit</p>

 <h3>Properties</h3>
<p>By default this node will send events for any T-bar on any X-keys connected by the USB. By setting these properties the node will only send events matching the desired criteria.</p>
 <li><b>Device:</b> Select from the list the name of specific source X-keys </li>
<li><b>Product ID:</b> A specific PID can be set, usually the device name is sufficient and this can be left to the default.</li>

<li><b>Unit ID:</b> A specific Unit can be selected, this is useful if there are 2 indentical X-keys. Each one can have a different UID if set using the xk Set Unit ID node. </li>
<li><b>Controller #:</b> An Index if there are more than one T-bar on one X-keys. Currently all units only have one. Leave this value at the default.</li>


 

 <h3>Outputs</h3>

     <p><code>msg.payload</code>  An object that contains the compete information from the input event</p>
         <li><code>msg.payload.device</code> is an abbreviated name of the source device e.g. XK64JOGTBAR, which represents the XKE-64 Jog and Shuttle with T-bar device
          </li>
         <li><code>msg.payload.pid</code> is the Product ID of the source device e.g. 1325 for the XKE-64 Jog and Shuttle with T-bar
         </li>
 <li><code>msg.payload.uid</code> is the Unit ID of the source device, typically 0 from the factory but assignable 0-255 using the xk Set Unit ID node
         </li>
<li><code>msg.payload.index</code> is the Controller # which caused the event, default is 0 for devices with only 1 T-bar. 
         </li>

<li><code>msg.payload.value</code> Integer value from 0 (at bottom) to 255 (at top) 
         </li>
     

<h3>Details</h3>
    <p>This node is used to get analog changes events from a T-bar on a connected X-keys. The xk button node would be used to get the button events. </p>

    <p>Several filters can be set in the node’s properties to make the node respond to specific X-keys and/or specific  actions. Alternatively, the payload may be passed on to a switch node to branch the flow for each type of action or device.  </p>
    <p>This node requires the X-keys Server to be installed. X-keys server requires an MQTT broker, which also must be installed.</p>
  

<h3>References</h3>
    <ul>
        <li><a href="https://www.xkeys.com">For a full description of all X-keys products</a></li>
        <li><a href="https://gitlab.com/chris.willing/xkeys-server">X-keys server installation</a></li>
    </ul>


